package com.cf.imes.module.system.enums.pay;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonCreator;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 支付渠道编码
 *
 * @author Gqr
 * @since 2024/7/5 9:25
 */
@Getter
@AllArgsConstructor
public enum PayChannelCodeEnum {
    /**
     * 支付宝
     */
    ALIPAY_PC(0),
    /**
     * 微信
     */
    WECHAT_NATIVE(1);

    @EnumValue
    private final Integer code;

    @JsonCreator
    public static PayChannelCodeEnum fromType(Integer type) {
        for (PayChannelCodeEnum value : values()) {
            if (value.getCode().equals(type)) {
                return value;
            }
        }
        return null;
    }

    /**
     * 是否支付宝渠道
     *
     * @param type
     * @return
     */
    public static boolean isAlipay(Integer type) {
        return ALIPAY_PC.code.equals(type);
    }

    /**
     * 是否微信渠道
     *
     * @param type
     * @return
     */
    public static boolean isWechat(Integer type) {
        return WECHAT_NATIVE.code.equals(type);
    }
}
